# eric7.Debugger.EditBreakpointDialog

Module implementing a dialog to edit breakpoint properties.

### Global Attributes

None

### Classes

EditBreakpointDialog | Class implementing a dialog to edit breakpoint properties.

### Functions

None

## EditBreakpointDialog

Class implementing a dialog to edit breakpoint properties.

### Derived from

QDialog, Ui_EditBreakpointDialog

### Class Attributes

None

### Class Methods

None

### Methods

EditBreakpointDialog | Constructor
getAddData | Public method to retrieve the entered data for an add.
getData | Public method to retrieve the entered data.
on_filenamePicker_editTextChanged | Private slot to handle the change of the filename.

### Static Methods

None

#### EditBreakpointDialog (Constructor)

EditBreakpointDialog(breakPointId, properties, condHistory, parent=None, name=None, modal=False, addMode=False, filenameHistory=None, )

Constructor

breakPointId
  id of the breakpoint (tuple) (filename, linenumber)
properties
  properties for the breakpoint (tuple) (condition, temporary flag, enabled flag, ignore count)
condHistory
  the list of conditionals history (list of strings)
parent
  the parent of this dialog (QWidget)
name
  the widget name of this dialog (string)
modal
  flag indicating a modal dialog (boolean)
addMode
  flag indicating the add mode (boolean)
filenameHistory
  list of recently used file names (list of strings)

#### EditBreakpointDialog.getAddData

getAddData()

Public method to retrieve the entered data for an add.

Return:
  a tuple containing the new breakpoints properties (filename, lineno, condition, temporary flag, enabled flag, ignore count)

#### EditBreakpointDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  a tuple containing the breakpoints new properties (condition, temporary flag, enabled flag, ignore count)

#### EditBreakpointDialog.on_filenamePicker_editTextChanged

on_filenamePicker_editTextChanged(fn)

Private slot to handle the change of the filename.

fn
  text of the filename edit (string)

Up